=== debian/changelog ===
refind (0.10.4-1) unstable; urgency=medium

  * Update to 0.10.4 upstream release
    - experimental touchscreen support
    - support for 64bit pointers in ext4fs driver
    - remove backported patches

 -- Tianon Gravi <tianon@debian.org>  Mon, 10 Oct 2016 16:12:05 -0700

refind (0.10.3-2) unstable; urgency=medium

  * Fix minor description typo (Closes: #827642); thanks Josh!
  * Move "sbsigntool" to "Recommends" (especially for arm64, which doesn't have
    sbsigntool in Debian yet)
  * Backport upstream change to refind-install to handle a wider range of disk
    devices (Closes: #827851)
  * Backport upstream patch for GNU-EFI header incompatibility which causes our
    package to FTBFS (Closes: #831258)
  * Backport upstream patch for GNU-EFI uninitialized-pointer issue

 -- Tianon Gravi <tianon@debian.org>  Sat, 08 Oct 2016 10:31:34 -0700

refind (0.10.3-1) unstable; urgency=medium

  * Initial release (Closes: #715426)

 -- Tianon Gravi <tianon@debian.org>  Sat, 18 Jun 2016 10:05:34 -0700
