=== debian/control ===
Source: refind
Maintainer: Rod Smith <rod.smith@canonical.com>
Uploaders: Tianon Gravi <tianon@debian.org>
Section: admin
Priority: optional
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), gnu-efi
Homepage: http://www.rodsbooks.com/refind
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refind.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/refind.git

Package: refind
Architecture: amd64 arm64 i386
Depends: debconf, efibootmgr, openssl, parted, ${misc:Depends}
Recommends: python3, sbsigntool
Description: boot manager for EFI-based computers
 A graphical boot manager for EFI- and UEFI-based computers, such as all
 Intel-based Macs and recent (most 2011 and later) PCs. rEFInd presents a
 boot menu showing all the EFI boot loaders on the EFI-accessible
 partitions, and optionally BIOS-bootable partitions on Macs and BIOS boot
 entries on UEFI PCs with CSMs. EFI-compatible OSes, including Linux,
 provide boot loaders that rEFInd can detect and launch. rEFInd can launch
 Linux EFI boot loaders such as ELILO, GRUB Legacy, GRUB 2, and 3.3.0 and
 later kernels with EFI stub support. EFI filesystem drivers for ext2/3/4fs,
 ReiserFS, Btrfs, NTFS, HFS+, and ISO-9660 enable rEFInd to read boot
 loaders from these filesystems, too. rEFInd's ability to detect boot
 loaders at runtime makes it very easy to use, particularly when paired with
 Linux kernels that provide EFI stub support.
