=== debian/changelog ===
refind (0.11.2-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 11 Apr 2018 18:33:36 -0700

refind (0.11.2-1) unstable; urgency=medium

  * Update to 0.11.2 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes

 -- Tianon Gravi <tianon@debian.org>  Mon, 04 Dec 2017 15:39:01 -0800
