=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: refind
-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
