=== debian/changelog ===
refind (0.11.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Tianon Gravi ]
  * Update to 0.11.3 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Update Standards-Version to 4.2.1 (no changes)
  * Use "/usr/share/dpkg/architecture.mk" appropriately

 -- Tianon Gravi <tianon@debian.org>  Wed, 17 Oct 2018 08:09:29 -0700

refind (0.11.2-1.1) unstable; urgency=medium

  * Non-maintainer upload, fixing longstanding l10n issues.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #896829)
    - Pass ARCH= to make
    - Let dh_auto_build pass cross tools to make

  [ Helge Kreutzmann ]
  * Debconf translation updates:
    - French, thanks Julien Patriarca (Closes: #833856)
    - Netherlands, thanks Frans Spiesschaert (Closes: #834610)
    - Brazilian Portuguese, thanks Adriano Rafael Gomes (Closes: #834934)
    - German, thanks Chris Leick (Closes: #843766)
    - Portuguese, thanks Rui Branco (Closes: #858748, #898283)
    - Russian, thanks Lev Lamberov (Closes: #883140)
    - Spanish, thanks Jonathan Bustillos (Closes: #900712)

  [ Tianon Gravi ]
  * Update Vcs-* to point to Salsa
  * Update Homepage to https

 -- Helge Kreutzmann <debian@helgefjell.de>  Sat, 01 Sep 2018 08:59:13 +0200
