=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: refind
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Build-Depends: debhelper (>= 9), gnu-efi
-Homepage: http://www.rodsbooks.com/refind
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/refind.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/refind.git
+Homepage: https://www.rodsbooks.com/refind
+Vcs-Browser: https://salsa.debian.org/debian/refind
+Vcs-Git: https://salsa.debian.org/debian/refind.git
 
 Package: refind
 Architecture: amd64 arm64 i386
