## refind 0.11.4

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # TIANOBASE is used with "tiano" targets and
 # EDK2BASE is used with "edk2" targets
 export TIANOBASE=/usr/local/UDK2014/MyWorkSpace
-export EDK2BASE=/usr/local/edk2-vUDK2017
+export EDK2BASE=/usr/local/edk2-vUDK2018
 # NOTE: Below is overridden for "tiano" targets
 -include $(EDK2BASE)/Conf/target.txt
 THISDIR=$(shell pwd)
