=== debian/changelog ===
refind (0.11.4-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Dec 2019 13:57:06 -0800

refind (0.11.4-1) unstable; urgency=medium

  * Update to 0.11.4 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Update Standards-Version to 4.3.0

 -- Tianon Gravi <tianon@debian.org>  Thu, 15 Aug 2019 08:12:37 -0700
