=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: refind
-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 9), gnu-efi
 Homepage: https://www.rodsbooks.com/refind
 Vcs-Browser: https://salsa.debian.org/debian/refind
