=== debian/changelog ===
refind (0.12.0-1) unstable; urgency=medium

  * Update to 0.12.0 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
  * Backport patch for GCC 10 (Closes: #957754)

 -- Tianon Gravi <tianon@debian.org>  Wed, 22 Jul 2020 14:00:56 -0700
