=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: refind
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Rod Smith <rod.smith@canonical.com>
+Maintainer: Rod Smith <rod.smith@canonical.com>
 Uploaders: Tianon Gravi <tianon@debian.org>
 Section: admin
 Priority: optional
@@ -12,7 +11,7 @@
 
 Package: refind
 Architecture: amd64 arm64 i386
-Depends: debconf, efibootmgr, openssl, parted, ${misc:Depends}
+Depends: debconf, efibootmgr, gdisk, openssl, ${misc:Depends}
 Recommends: python3, sbsigntool
 Description: boot manager for EFI-based computers
  A graphical boot manager for EFI- and UEFI-based computers, such as all
