## refind 0.13.2

=== Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 EDK2_BUILDLOC=$(EDK2BASE)/Build/Refind/$(TARGET)_$(TOOL_CHAIN_TAG)/$(UC_ARCH)
 EDK2_PROGRAM_BASENAMES=refind gptsync
 EDK2_PROGRAMS=$(EDK2_PROGRAM_BASENAMES:=.efi)
-EDK2_DRIVER_BASENAMES=btrfs ext4 ext2 hfs iso9660 ntfs reiserfs
+EDK2_DRIVER_BASENAMES=btrfs ext4 ext2 hfs iso9660 reiserfs
 EDK2_DRIVERS=$(EDK2_DRIVER_BASENAMES:=.efi)
 EDK2_ALL_BASENAMES=$(EDK2_PROGRAM_BASENAMES) $(EDK2_DRIVER_BASENAMES)
 EDK2_ALL_FILES=$(EDK2_ALL_BASENAMES:=.efi)
