=== debian/changelog ===
refind (0.13.2-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 03 Jan 2022 13:54:37 -0800

refind (0.13.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.

  [ Tianon Gravi ]
  * Update to 0.13.2 upstream release
    - see http://www.rodsbooks.com/refind/revisions.html for changes
    - "Updated CentOS Secure Boot (MOK) keys" (Closes: #958744)
  * Backport "gnu-efi" fix (Closes: #995623)

 -- Tianon Gravi <tianon@debian.org>  Mon, 25 Oct 2021 15:44:40 -0700
