=== refind/Makefile ===
--- 
+++ 
@@ -33,8 +33,8 @@
 LOCAL_GNUEFI_CFLAGS  = -I$(SRCDIR) -I$(SRCDIR)/../include \
                        -I$(SRCDIR)/../libeg -I$(SRCDIR)/../mok
 LOCAL_LDFLAGS   = -L$(SRCDIR)/../libeg/ -L$(SRCDIR)/../mok/ \
-                  -L$(SRCDIR)/../EfiLib/
-LOCAL_LIBS      = -leg -lmok -lEfiLib
+                  -L$(SRCDIR)/../EfiLib/ -L$(SRCDIR)/../gzip
+LOCAL_LIBS      = -leg -lmok -lEfiLib -lgzip
 
 OBJS            = apple.o config.o crc32.o driver_support.o gpt.o icns.o \
                   install.o launch_efi.o launch_legacy.o lib.o line_edit.o \
@@ -50,9 +50,13 @@
 	      -o $@ $(LOCAL_LIBS) $(GNUEFI_LIBS)
 
 $(TARGET): $(SHLIB_TARGET)
-	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym -j .rel \
-	           -j .rela -j .rel.* -j .rela.* -j .rel* -j .rela* \
-		   -j .reloc $(FORMAT) $< $@
+	$(OBJCOPY) -j .text -j .sdata -j .data -j .dynamic -j .dynsym -j .rodata \
+		   -j .rel -j .rela -j .rel.* -j .rela.* -j .rel* -j .rela* \
+		   -j .reloc --strip-unneeded $(FORMAT) $< $@
+ifneq ($(OMIT_SBAT), 1)
+	    $(OBJCOPY) --add-section .sbat=$(SRCDIR)/../$(REFIND_SBAT_CSV) \
+		       --adjust-section-vma .sbat+10000000 $@
+endif
 	chmod a-x $(TARGET)
 
 clean:
