=== debian/changelog ===
refind (0.14.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update debconf template translation
    - Italian translation.
      Thanks to Ceppo (Closes: #1024072)
    - Romanian translation.
      Thanks to Remus-Gabriel Chelu (Closes: #1033452)
    - Swedish translation.
      Thanks to Martin Bagge (Closes: #1080983)

 -- Helge Kreutzmann <debian@helgefjell.de>  Sun, 02 Feb 2025 18:42:22 +0100

refind (0.14.2-2) unstable; urgency=medium

  * Add GNUEFI_ARM64_TARGET_SUPPORT=y to fix arm64 build
    - see https://sourceforge.net/p/refind/code/ci/14ecfde106fe3d5b3ead5e02bf56d340770be5ff/tree/BUILDING.txt#l411

 -- Tianon Gravi <tianon@debian.org>  Wed, 28 Aug 2024 17:00:46 -0700

refind (0.14.2-1) unstable; urgency=medium

  * Update to 0.14.2 upstream release (Closes: #1056706)
    - see http://www.rodsbooks.com/refind/revisions.html for changes
    - ext4 driver ignores metadata_csum_seed (Closes: #1078055)

 -- Tianon Gravi <tianon@debian.org>  Thu, 15 Aug 2024 20:27:49 -0700
