=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 ifeq (arm64, $(DEB_HOST_ARCH_CPU))
 	ARCH = aarch64
 	EFI_ARCH := aa64
+# https://sourceforge.net/p/refind/code/ci/14ecfde106fe3d5b3ead5e02bf56d340770be5ff/tree/BUILDING.txt#l411
+	GNU_EFI_EXTRA_MAKEOPTS := $(shell dpkg --compare-versions "$$(dpkg-query -f '$${Version}' -W gnu-efi)" '>=' '3.0.17~' && echo GNUEFI_ARM64_TARGET_SUPPORT=y)
 else
 	$(warning EFI architecture for $(DEB_HOST_ARCH_CPU) is unknown)
 	ARCH := $(DEB_HOST_ARCH_CPU)
@@ -30,8 +32,8 @@
 	rm -rf drivers_*/
 
 override_dh_auto_build:
-	dh_auto_build -- gnuefi 'ARCH=$(ARCH)'
-	dh_auto_build -- fs_gnuefi 'ARCH=$(ARCH)'
+	dh_auto_build -- gnuefi 'ARCH=$(ARCH)' $(GNU_EFI_EXTRA_MAKEOPTS)
+	dh_auto_build -- fs_gnuefi 'ARCH=$(ARCH)' $(GNU_EFI_EXTRA_MAKEOPTS)
 
 override_dh_auto_install:
 	# "make install" actually runs "efi-install" for the current system, so let's not do that :)
@@ -43,7 +45,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt
-
-# MX don't need no stinkin' dbgsyms
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
